croisée

사파리에서 CrossWebEX가 돌아가지 않을 때. 본문

기타

사파리에서 CrossWebEX가 돌아가지 않을 때.

슈이프 2018.10.07 08:16


어느 순간부터인지 모르겠지만, 그 전까지는 사파리에서도 로그인이 잘 되던 한국장학재단이 로그인을 시도할 때마다 저런 메시지를 내놓았다. CrossWebEX를 수십번이나 재설치해봐도 안되길래 도대체 무엇이 문제인가 하고 고민해봤는데...결론적으로 말하면 18년 10월 7일 기준 Mac OS 버전에 상관없이, 사파리 12.0 버전부터는 한국장학재단 로그인이 불가능하다가 되시겠다. 


원인을 살펴보자. 9월 18일. 모하비 업데이트 이전 사파리가 12.0 버전으로 릴리즈되었다. 이때 '설마 사용상에 큰 문제 있겠어'하고 올린게 실수였다. 업데이트 내역을 찬찬히 보면 한국장학재단 로그인에 필요한 CrossWebEX가 자꾸 오류메시지를 내뿜는 이유를 알 수 있는데, 아래에서 3번째줄과 2번째줄에 그 이유가 들어있다. 확대하면 다음과 같다.



NPAPI 플러그인이란 Netscape Plugin Application Programming Interface의 약자로, 넷스케이프 시절 개발된 API이다. 문송한 문과생이다보니 이에 대한 밑천이 드러날것 같아 자세한건 생략하고, 아무튼 한국장학재단에서 구동되는 CrossWebEX는 이 NPAPI에 속한다. '대부분'이라는 범위가 도대체 어디까지 해당이 되는지 모르겠지만 CrossWebEX 제작사인 이니텍이 이에 대한 패치를 내놓지 않는 한, 현재로서는 사파리에서 이 프로그램을 사용하는 사이트는 접속이 불가능한 상황이라 보면 된다.



그럼 어떻게 하냐고? 이대로 맥에서는 한국장학재단 사이트 이용 못 하냐고? 아니다. 정말 간단한 방법이 있다. 크롬에서는 로그인 된다. 거의 전 OS를 지원하는 크롬은 맥에서도 설치 및 이용이 가능한데, 이 사이트를 사파리로 이용 못 하는 병에 걸린거 아니면 그냥 타협하고 크롬 깔아서 사이트 들어가면 간단하게 해결된다. 좀더 복잡한 방법으로는 사파리 다운그레이드나 혹 Boot Camp 또는 Parallels등을 이용하여 윈도우를 돌리면 해결되는데, 사파리 다운그레이드는 실패했고(도무지 왜 실패했는지 지금도 모르겠다) 가상머신은 아이맥이라면 모를까 맥북에서는 쓰고싶지 않으니.


결론: 킹갓크롬(?)


2 Comments
  • 프로필사진 1234 2018.12.11 14:49 신고 크롬에서도 cross 깔라고 하는데 어떻게 해야하는걸까요 ㅠㅠㅠㅠㅠ
  • 프로필사진 BlogIcon 슈이프 2018.12.12 07:26 신고 크롬 버전 70.0.3538.110(공식 빌드) (64비트)에서 로그인 시도해보았습니다. 잘 됩니다.
    일단 인스톨되어있는 CrossWeb를 전부 삭제하시고, 크롬에서 로그인을 시도하면서 설치를 해 보세요.
    전 그렇게 해서 문제없이 로그인을 하고 있습니다만...그래도 문제가 보인다면 다른 쪽에서 답을 구하시는게 빠르실 듯 합니다.
댓글쓰기 폼